LTTNG-CRASH(1)

NAME
lttng-crash - Recover and view LTTng 2 trace buffers in the event of a crash

SYNOPSIS

lttng-crash [--extract=PATH | --viewer=VIEWER] [-v | -vv | -vvv]

DESCRIPTION

The Linux Trace Toolkit: next generation <http://lttng.org/> is an open source software package used for correlated tracing of the Linux kernel, user applications, and user libraries.

LTTng consists of Linux kernel modules (for Linux kernel tracing) and dynamically loaded libraries (for user application and library tracing).

The lttng-crash command-line tool is used to recover and view LTTng trace buffers in the event of a system crash.

OPTIONS

-x PATH, --extract=PATH
    Extract recovered traces to path PATH; do not execute the trace viewer.

-v, --verbose
    Increase verbosity.

    Three levels of verbosity are available, which are triggered by appending additional v letters to the option (that is, -vv and -vvv).

-e VIEWER, --viewer=VIEWER
    Use trace viewer VIEWER to view the trace buffers. VIEWER is the absolute path to the viewer command to use, and it can contain command arguments as well. The trace directory paths are passed to the VIEWER command as its last arguments.

    Default: babeltrace.

  Program information

-h, --help
    Show help.

-V, --version
    Show version.

EXIT STATUS

0
    Success

1
    Error

3
    Fatal error

BUGS

If you encounter any issue or usability problem, please report it on the LTTng bug tracker <https://bugs.lttng.org/projects/lttng-tools>.

RESOURCES

    • LTTng project website <http://lttng.org>

    • LTTng documentation <http://lttng.org/docs>

    • Git repositories <http://git.lttng.org>

    • GitHub organization <http://github.com/lttng>

    • Continuous integration <http://ci.lttng.org/>

    • Mailing list <http://lists.lttng.org> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHTS

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

AUTHORS

LTTng-tools was originally written by Mathieu Desnoyers, Julien Desfossez, and David Goulet. More people have since contributed to it.

LTTng-tools is currently maintained by Jérémie Galarneau <mailto:jeremie.galarneau@efficios.com>.

SEE ALSO

lttng(1), lttng-sessiond(8), lttng-relayd(8), lttng-ust(3), babeltrace(1)